Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Op_Type_Spec Class Reference

**************************************************************** More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Op_Type_Spec:

[legend]
Collaboration diagram for TAO_PSDL_Op_Type_Spec:

[legend]
List of all members.

## Public Methods
| TAO_PSDL_Op_Type_Spec (TAO_PSDL_Node *type_spec)
| ****************************************************************
| TAO_PSDL_Op_Type_Spec (int type)
virtual | ~TAO_PSDL_Op_Type_Spec (void)
TAO_PSDL_Node * | type_spec (void) const
| Get the value.
int | type (void) const
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods.
## Private Attributes
TAO_PSDL_Node * | type_spec_
| The values.
int | type_

## Detailed Description

****************************************************************

## Constructor & Destructor Documentation

TAO_PSDL_Op_Type_Spec::TAO_PSDL_Op_Type_Spec | ( | TAO_PSDL_Node * | type_spec | ) |

| ****************************************************************

TAO_PSDL_Op_Type_Spec::TAO_PSDL_Op_Type_Spec | ( | int | type | ) |

TAO_PSDL_Op_Type_Spec::~TAO_PSDL_Op_Type_Spec | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_PSDL_Op_Type_Spec::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Implements TAO_PSDL_Node.

int TAO_PSDL_Op_Type_Spec::type | ( | void |  | ) | const

TAO_PSDL_Node * TAO_PSDL_Op_Type_Spec::type_spec | ( | void |  | ) | const

| Get the value.

## Member Data Documentation

int TAO_PSDL_Op_Type_Spec::type_`[private]`

| Reimplemented from TAO_PSDL_Node.

TAO_PSDL_Node* TAO_PSDL_Op_Type_Spec::type_spec_`[private]`

| The values.

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp